<?php
/**
 * The Header for theme.
 * @since 1.0
 * @package RoyalNews
 */
?>
<!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
 	<meta charset="<?php bloginfo( 'charset' ); ?>">
 	<meta name="viewport" content="width=device-width, initial-scale=1">
	<link rel="profile" href="http://gmpg.org/xfn/11">
 	<?php wp_head(); ?>
</head>
<body <?php royalnews_schema_html_tag( 'body' ); body_class(); ?> >
    <?php wp_body_open(); ?>
    <a class="skip-link screen-reader-text" href="#site-content">
        <?php esc_html_e( 'Skip to content', 'royalnews' ); ?>
    </a>
    <?php do_action( 'royalnews-before-header' ); ?>
    <header id="royalnews-head" <?php royalnews_schema_html_tag( 'header' ); ?>class="royalnews-main-content">
        <div class="royalnews-main-header">
            <?php do_action( 'royalnews-header-content' ); ?>
        </div>
    </header>
    <?php do_action( 'royalnews-after-header' ); ?>
