<?php
/**
 * Time Zone
 * @since 1.2
 * @package RoyalNews
 */
$time_zone_list = array(
	'tz0' => 'Europe/Andorra',
	'tz1' => 'Asia/Dubai',
	'tz2' => 'Asia/Kabul',
	'tz3' => 'Europe/Tirane',
	'tz4' => 'Asia/Yerevan',
	'tz5' => 'Antarctica/Casey',
	'tz6' => 'Antarctica/Davis',
	'tz7' => 'Antarctica/DumontDUrville', // https://bugs.chromium.org/p/chromium/issues/detail?id=928068
	'tz8' => 'Antarctica/Mawson',
	'tz9' => 'Antarctica/Palmer',
	'tz10' => 'Antarctica/Rothera',
	'tz11' => 'Antarctica/Syowa',
	'tz12' => 'Antarctica/Troll',
	'tz13' => 'Antarctica/Vostok',
	'tz14' => 'America/Argentina/Buenos_Aires',
	'tz15' => 'America/Argentina/Cordoba',
	'tz16' => 'America/Argentina/Salta',
	'tz17' => 'America/Argentina/Jujuy',
	'tz18' => 'America/Argentina/Tucuman',
	'tz19' => 'America/Argentina/Catamarca',
	'tz20' => 'America/Argentina/La_Rioja',
	'tz21' => 'America/Argentina/San_Juan',
	'tz22' => 'America/Argentina/Mendoza',
	'tz23' => 'America/Argentina/San_Luis',
	'tz24' => 'America/Argentina/Rio_Gallegos',
	'tz25' => 'America/Argentina/Ushuaia',
	'tz26' => 'Pacific/Pago_Pago',
	'tz27' => 'Europe/Vienna',
	'tz28' => 'Australia/Lord_Howe',
	'tz29' => 'Antarctica/Macquarie',
	'tz30' => 'Australia/Hobart',
	'tz31' => 'Australia/Currie',
	'tz32' => 'Australia/Melbourne',
	'tz33' => 'Australia/Sydney',
	'tz34' => 'Australia/Broken_Hill',
	'tz35' => 'Australia/Brisbane',
	'tz36' => 'Australia/Lindeman',
	'tz37' => 'Australia/Adelaide',
	'tz38' => 'Australia/Darwin',
	'tz39' => 'Australia/Perth',
	'tz40' => 'Australia/Eucla',
	'tz41' => 'Asia/Baku',
	'tz42' => 'America/Barbados',
	'tz43' => 'Asia/Dhaka',
	'tz44' => 'Europe/Brussels',
	'tz45' => 'Europe/Sofia',
	'tz46' => 'Atlantic/Bermuda',
	'tz47' => 'Asia/Brunei',
	'tz48' => 'America/La_Paz',
	'tz49' => 'America/Noronha',
	'tz50' => 'America/Belem',
	'tz51' => 'America/Fortaleza',
	'tz52' => 'America/Recife',
	'tz53' => 'America/Araguaina',
	'tz54' => 'America/Maceio',
	'tz55' => 'America/Bahia',
	'tz56' => 'America/Sao_Paulo',
	'tz57' => 'America/Campo_Grande',
	'tz58' => 'America/Cuiaba',
	'tz59' => 'America/Santarem',
	'tz60' => 'America/Porto_Velho',
	'tz61' => 'America/Boa_Vista',
	'tz62' => 'America/Manaus',
	'tz63' => 'America/Eirunepe',
	'tz64' => 'America/Rio_Branco',
	'tz65' => 'America/Nassau',
	'tz66' => 'Asia/Thimphu',
	'tz67' => 'Europe/Minsk',
	'tz68' => 'America/Belize',
	'tz69' => 'America/St_Johns',
	'tz70' => 'America/Halifax',
	'tz71' => 'America/Glace_Bay',
	'tz72' => 'America/Moncton',
	'tz73' => 'America/Goose_Bay',
	'tz74' => 'America/Blanc-Sablon',
	'tz75' => 'America/Toronto',
	'tz76' => 'America/Nipigon',
	'tz77' => 'America/Thunder_Bay',
	'tz78' => 'America/Iqaluit',
	'tz79' => 'America/Pangnirtung',
	'tz80' => 'America/Atikokan',
	'tz81' => 'America/Winnipeg',
	'tz82' => 'America/Rainy_River',
	'tz83' => 'America/Resolute',
	'tz84' => 'America/Rankin_Inlet',
	'tz85' => 'America/Regina',
	'tz86' => 'America/Swift_Current',
	'tz87' => 'America/Edmonton',
	'tz88' => 'America/Cambridge_Bay',
	'tz89' => 'America/Yellowknife',
	'tz90' => 'America/Inuvik',
	'tz91' => 'America/Creston',
	'tz92' => 'America/Dawson_Creek',
	'tz93' => 'America/Fort_Nelson',
	'tz94' => 'America/Vancouver',
	'tz95' => 'America/Whitehorse',
	'tz96' => 'America/Dawson',
	'tz97' => 'Indian/Cocos',
	'tz98' => 'Europe/Zurich',
	'tz99' => 'Africa/Abidjan',
	'tz100' => 'Pacific/Rarotonga',
	'tz101' => 'America/Santiago',
	'tz102' => 'America/Punta_Arenas',
	'tz103' => 'Pacific/Easter',
	'tz104' => 'Asia/Shanghai',
	'tz105' => 'Asia/Urumqi',
	'tz106' => 'America/Bogota',
	'tz107' => 'America/Costa_Rica',
	'tz108' => 'America/Havana',
	'tz109' => 'Atlantic/Cape_Verde',
	'tz110' => 'America/Curacao',
	'tz111' => 'Indian/Christmas',
	'tz112' => 'Asia/Nicosia',
	'tz113' => 'Asia/Famagusta',
	'tz114' => 'Europe/Prague',
	'tz115' => 'Europe/Berlin',
	'tz116' => 'Europe/Copenhagen',
	'tz117' => 'America/Santo_Domingo',
	'tz118' => 'Africa/Algiers',
	'tz119' => 'America/Guayaquil',
	'tz120' => 'Pacific/Galapagos',
	'tz121' => 'Europe/Tallinn',
	'tz122' => 'Africa/Cairo',
	'tz123' => 'Africa/El_Aaiun',
	'tz124' => 'Europe/Madrid',
	'tz125' => 'Africa/Ceuta',
	'tz126' => 'Atlantic/Canary',
	'tz128' => 'Europe/Helsinki',
	'tz129' => 'Pacific/Fiji',
	'tz130' => 'Atlantic/Stanley',
	'tz131' => 'Pacific/Chuuk',
	'tz132' => 'Pacific/Pohnpei',
	'tz133' => 'Pacific/Kosrae',
	'tz134' => 'Atlantic/Faroe',
	'tz135' => 'Europe/Paris',
	'tz136' => 'Europe/London',
	'tz137' => 'Asia/Tbilisi',
	'tz138' => 'America/Cayenne',
	'tz139' => 'Africa/Accra',
	'tz140' => 'Europe/Gibraltar',
	'tz141' => 'America/Godthab',
	'tz142' => 'America/Danmarkshavn',
	'tz143' => 'America/Scoresbysund',
	'tz144' => 'America/Thule',
	'tz145' => 'Europe/Athens',
	'tz146' => 'Atlantic/South_Georgia',
	'tz147' => 'America/Guatemala',
	'tz148' => 'Pacific/Guam',
	'tz149' => 'Africa/Bissau',
	'tz150' => 'America/Guyana',
	'tz151' => 'Asia/Hong_Kong',
	'tz152' => 'America/Tegucigalpa',
	'tz153' => 'America/Port-au-Prince',
	'tz154' => 'Europe/Budapest',
	'tz155' => 'Asia/Jakarta',
	'tz156' => 'Asia/Pontianak',
	'tz157' => 'Asia/Makassar',
	'tz158' => 'Asia/Jayapura',
	'tz159' => 'Europe/Dublin',
	'tz160' => 'Asia/Jerusalem',
	'tz161' => 'Asia/Kolkata',
	'tz162' => 'Indian/Chagos',
	'tz163' => 'Asia/Baghdad',
	'tz164' => 'Asia/Tehran',
	'tz165' => 'Atlantic/Reykjavik',
	'tz166' => 'Europe/Rome',
	'tz167' => 'America/Jamaica',
	'tz168' => 'Asia/Amman',
	'tz169' => 'Asia/Tokyo',
	'tz170' => 'Africa/Nairobi',
	'tz171' => 'Asia/Bishkek',
	'tz172' => 'Pacific/Tarawa',
	'tz173' => 'Pacific/Enderbury',
	'tz174' => 'Pacific/Kiritimati',
	'tz175' => 'Asia/Pyongyang',
	'tz176' => 'Asia/Seoul',
	'tz177' => 'Asia/Almaty',
	'tz178' => 'Asia/Qyzylorda',
	'tz179' => 'Asia/Qostanay', // https://bugs.chromium.org/p/chromium/issues/detail?id=928068
	'tz180' => 'Asia/Aqtobe',
	'tz181' => 'Asia/Aqtau',
	'tz182' => 'Asia/Atyrau',
	'tz183' => 'Asia/Oral',
	'tz184' => 'Asia/Beirut',
	'tz185' => 'Asia/Colombo',
	'tz186' => 'Africa/Monrovia',
	'tz187' => 'Europe/Vilnius',
	'tz188' => 'Europe/Luxembourg',
	'tz189' => 'Europe/Riga',
	'tz190' => 'Africa/Tripoli',
	'tz191' => 'Africa/Casablanca',
	'tz192' => 'Europe/Monaco',
	'tz193' => 'Europe/Chisinau',
	'tz194' => 'Pacific/Majuro',
	'tz195' => 'Pacific/Kwajalein',
	'tz196' => 'Asia/Yangon',
	'tz197' => 'Asia/Ulaanbaatar',
	'tz198' => 'Asia/Hovd',
	'tz199' => 'Asia/Choibalsan',
	'tz200' => 'Asia/Macau',
	'tz201' => 'America/Martinique',
	'tz202' => 'Europe/Malta',
	'tz203' => 'Indian/Mauritius',
	'tz204' => 'Indian/Maldives',
	'tz205' => 'America/Mexico_City',
	'tz206' => 'America/Cancun',
	'tz207' => 'America/Merida',
	'tz208' => 'America/Monterrey',
	'tz209' => 'America/Matamoros',
	'tz210' => 'America/Mazatlan',
	'tz211' => 'America/Chihuahua',
	'tz212' => 'America/Ojinaga',
	'tz213' => 'America/Hermosillo',
	'tz214' => 'America/Tijuana',
	'tz215' => 'America/Bahia_Banderas',
	'tz216' => 'Asia/Kuala_Lumpur',
	'tz217' => 'Asia/Kuching',
	'tz218' => 'Africa/Maputo',
	'tz219' => 'Africa/Windhoek',
	'tz220' => 'Pacific/Noumea',
	'tz221' => 'Pacific/Norfolk',
	'tz222' => 'Africa/Lagos',
	'tz223' => 'America/Managua',
	'tz224' => 'Europe/Amsterdam',
	'tz225' => 'Europe/Oslo',
	'tz226' => 'Asia/Kathmandu',
	'tz227' => 'Pacific/Nauru',
	'tz228' => 'Pacific/Niue',
	'tz229' => 'Pacific/Auckland',
	'tz230' => 'Pacific/Chatham',
	'tz231' => 'America/Panama',
	'tz232' => 'America/Lima',
	'tz233' => 'Pacific/Tahiti',
	'tz234' => 'Pacific/Marquesas',
	'tz235' => 'Pacific/Gambier',
	'tz236' => 'Pacific/Port_Moresby',
	'tz237' => 'Pacific/Bougainville',
	'tz238' => 'Asia/Manila',
	'tz239' => 'Asia/Karachi',
	'tz240' => 'Europe/Warsaw',
	'tz241' => 'America/Miquelon',
	'tz242' => 'Pacific/Pitcairn',
	'tz243' => 'America/Puerto_Rico',
	'tz244' => 'Asia/Gaza',
	'tz245' => 'Asia/Hebron',
	'tz246' => 'Europe/Lisbon',
	'tz247' => 'Atlantic/Madeira',
	'tz248' => 'Atlantic/Azores',
	'tz249' => 'Pacific/Palau',
	'tz250' => 'America/Asuncion',
	'tz251' => 'Asia/Qatar',
	'tz252' => 'Indian/Reunion',
	'tz253' => 'Europe/Bucharest',
	'tz254' => 'Europe/Belgrade',
	'tz255' => 'Europe/Kaliningrad',
	'tz256' => 'Europe/Moscow',
	'tz257' => 'Europe/Simferopol',
	'tz258' => 'Europe/Kirov',
	'tz259' => 'Europe/Astrakhan',
	'tz260' => 'Europe/Volgograd',
	'tz261' => 'Europe/Saratov',
	'tz262' => 'Europe/Ulyanovsk',
	'tz263' => 'Europe/Samara',
	'tz264' => 'Asia/Yekaterinburg',
	'tz265' => 'Asia/Omsk',
	'tz266' => 'Asia/Novosibirsk',
	'tz267' => 'Asia/Barnaul',
	'tz268' => 'Asia/Tomsk',
	'tz269' => 'Asia/Novokuznetsk',
	'tz270' => 'Asia/Krasnoyarsk',
	'tz271' => 'Asia/Irkutsk',
	'tz272' => 'Asia/Chita',
	'tz273' => 'Asia/Yakutsk',
	'tz274' => 'Asia/Khandyga',
	'tz275' => 'Asia/Vladivostok',
	'tz276' => 'Asia/Ust-Nera',
	'tz277' => 'Asia/Magadan',
	'tz278' => 'Asia/Sakhalin',
	'tz279' => 'Asia/Srednekolymsk',
	'tz280' => 'Asia/Kamchatka',
	'tz281' => 'Asia/Anadyr',
	'tz282' => 'Asia/Riyadh',
	'tz283' => 'Pacific/Guadalcanal',
	'tz284' => 'Indian/Mahe',
	'tz285' => 'Africa/Khartoum',
	'tz286' => 'Europe/Stockholm',
	'tz287' => 'Asia/Singapore',
	'tz288' => 'America/Paramaribo',
	'tz289' => 'Africa/Juba',
	'tz290' => 'Africa/Sao_Tome',
	'tz291' => 'America/El_Salvador',
	'tz292' => 'Asia/Damascus',
	'tz293' => 'America/Grand_Turk',
	'tz294' => 'Africa/Ndjamena',
	'tz295' => 'Indian/Kerguelen',
	'tz296' => 'Asia/Bangkok',
	'tz297' => 'Asia/Dushanbe',
	'tz298' => 'Pacific/Fakaofo',
	'tz299' => 'Asia/Dili',
	'tz300' => 'Asia/Ashgabat',
	'tz301' => 'Africa/Tunis',
	'tz302' => 'Pacific/Tongatapu',
	'tz303' => 'Europe/Istanbul',
	'tz304' => 'America/Port_of_Spain',
	'tz305' => 'Pacific/Funafuti',
	'tz306' => 'Asia/Taipei',
	'tz307' => 'Europe/Kiev',
	'tz308' => 'Europe/Uzhgorod',
	'tz309' => 'Europe/Zaporozhye',
	'tz310' => 'Pacific/Wake',
	'tz311' => 'America/New_York',
	'tz312' => 'America/Detroit',
	'tz313' => 'America/Kentucky/Louisville',
	'tz314' => 'America/Kentucky/Monticello',
	'tz315' => 'America/Indiana/Indianapolis',
	'tz316' => 'America/Indiana/Vincennes',
	'tz317' => 'America/Indiana/Winamac',
	'tz318' => 'America/Indiana/Marengo',
	'tz319' => 'America/Indiana/Petersburg',
	'tz320' => 'America/Indiana/Vevay',
	'tz321' => 'America/Chicago',
	'tz322' => 'America/Indiana/Tell_City',
	'tz323' => 'America/Indiana/Knox',
	'tz324' => 'America/Menominee',
	'tz325' => 'America/North_Dakota/Center',
	'tz326' => 'America/North_Dakota/New_Salem',
	'tz327' => 'America/North_Dakota/Beulah',
	'tz328' => 'America/Denver',
	'tz329' => 'America/Boise',
	'tz330' => 'America/Phoenix',
	'tz331' => 'America/Los_Angeles',
	'tz332' => 'America/Anchorage',
	'tz333' => 'America/Juneau',
	'tz334' => 'America/Sitka',
	'tz335' => 'America/Metlakatla',
	'tz336' => 'America/Yakutat',
	'tz337' => 'America/Nome',
	'tz338' => 'America/Adak',
	'tz339' => 'Pacific/Honolulu',
	'tz340' => 'America/Montevideo',
	'tz341' => 'Asia/Samarkand',
	'tz342' => 'Asia/Tashkent',
	'tz343' => 'America/Caracas',
	'tz344' => 'Asia/Ho_Chi_Minh',
	'tz345' => 'Pacific/Efate',
	'tz346' => 'Pacific/Wallis',
	'tz347' => 'Pacific/Apia',
	'tz348' => 'Africa/Johannesburg'
);

/**
 * Constant variable for time zone
 * @since 1.2
 * @package RoyalNews
 */
if ( ! defined( '_ROYALNEWS_TIMEZONES' ) ) {
    define( '_ROYALNEWS_TIMEZONES', $time_zone_list );
}