<?php
/**
 * Template For Header Primary Menu
 * @since 1.0
 * @package RoyalNews
 */?>
 
 <div class="royalnews-primary-menu-wrapper">
    <div class="container">
      <div class="royalnews-menu-wrapper">
         <?php do_action( 'royalnews-before-nav' ); ?>
         <a href="#" class="royalnews-mobile-menu" id="royalnews-menu-toggle">
            <i class="royalnews-toggle-btn fas fa-bars"></i>
         </a>
         <nav class="royalnews-primary-menu" id="royalnews-primary-menu">
            <?php wp_nav_menu( array(
                'theme_location' => 'primary-menu',
                'echo'           => true,
                'container'      => false,
                'menu_id'        => 'primary-menu',
                'menu_class'     => 'navigation clearfix'
            )); ?>
         </nav>
         <div class="royalnews-header-right">
            <?php do_action( 'royalnews-after-nav' ); ?>
             <?php if( royalnews_value( 'enable-search' ) ): ?>
                <div class="royalnews-search-wrapper">
                    <div class="royalnews-search-form">                 
                        <?php get_search_form(); ?>
                    </div>
                </div>
            <?php endif; ?>
      </div>
   </div>
</div>